function setWeather () {
  var url="http://rss.rssad.jp/rss/tenki/forecast/city_60.xml";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var rss = findChild(request.responseXML, "rss");
    var channel = findChild(rss, "channel");
    var city = findChild(channel, "title").textContent;
    city = city.substring(0, city.indexOf("の"));
    var item = findChild(channel, "item");
    var forecast = findChild(item, "title").textContent;
    date = forecast.substring(0, forecast.indexOf(")")+1);
    var image = findChild(item, "image");
    var title = findChild(image, "title").textContent;
    var url = findChild(image, "url").textContent;
    var max = forecast.substring(forecast.lastIndexOf(" ")+1,forecast.lastIndexOf("/"));
    var min = forecast.substring(forecast.lastIndexOf("/")+1);

    document.getElementById("city").innerText = city;
    document.getElementById("date").innerText = date;
    document.getElementById("image").src = url;
    document.getElementById("text").innerText = title;
    document.getElementById("temp").innerText = max + " / " + min;
}
